%define upstream_name    Term-InKey
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Term::InKey - Perl extension for clearing the screen and receiving a keystroke
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
This module implements Clear() to clear screen and ReadKey() to
receive a keystroke, on UNIX and Win32 platforms. As opposed to
Term::ReadKey, it does not contain XSUB code and can be easily
installed on Windows boxes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/Term/demo.pl

%files
%doc Changes README
%{perl_vendorlib}/Term/InKey.pm
%{_mandir}/*/*

%changelog
* Tue Nov 01 2022 umeabot <umeabot> 1.40.0-10.mga9
+ Revision: 1901194
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-9.mga8
+ Revision: 1497295
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-8.mga7
+ Revision: 1271629
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1033926
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 941147
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 745928
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 686369
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 514978
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 373232
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 27084
- mageia rebuild
- imported package perl-Term-InKey

